%global npm_name binary-extensions
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.11.0
Release: %mkrel 3
Summary: List of binary file extensions
License: MIT
Group: Development/Other
URL: https://github.com/sindresorhus/binary-extensions#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr binary-extensions.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license license
%doc readme.md



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.11.0-3.mga8
+ Revision: 1502460
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.11.0-2.mga7
+ Revision: 1280165
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.11.0-1.mga7
+ Revision: 1225340
- imported package nodejs-binary-extensions

